# Site List - Region Admin

| **API URL**     | {{url}}/admin-service/site/list                        |
| --------------- | ------------------------------------------------------ |
| **Method**      | POST                                                   |
| **Description** | Get Site list on account level (pass account tenantId) |

#### **Sample Input:** <a href="#sitelist-regionadmin-sampleinput" id="sitelist-regionadmin-sampleinput"></a>

{

"limit":5,\
"tenantId":112,\
"searchTerm":""

}

#### **Output:** <a href="#sitelist-regionadmin-output" id="sitelist-regionadmin-output"></a>

| **Field Name**      | **Type** | **Comments**        |
| ------------------- | -------- | ------------------- |
| `id`                | Number   | Site id             |
| `name`              | String   | Site name           |
| `tenantId`          | Number   | Site tenantId       |
| `operatingUnitName` | String   | Operating unit name |
| `cultureName`       | String   | Culture name        |
| `siteLevel`         | String   | Site level          |
| `siteType`          | String   | Clinic              |

#### **Sample Output:** <a href="#sitelist-regionadmin-sampleoutput" id="sitelist-regionadmin-sampleoutput"></a>

```
{
    "message": "Site fetched successfully.",
    "entity": null,
    "status": true,
    "entityList": [
        {
            "id": 330,
            "name": "Shuman hospital",
            "tenantId": 522,
            "operatingUnitName": "Freetown hospital",
            "cultureName": "English - India",
            "siteLevel": "Level 4",
            "siteType": "Clinic"
        },
        {
            "id": 65,
            "name": "Christ The King Hospital SL",
            "tenantId": 124,
            "operatingUnitName": "Western Area Rural",
            "cultureName": "English - India",
            "siteLevel": "Level 3",
            "siteType": "Clinic"
        },
        {
            "id": 60,
            "name": "Holy Spirit Hospital SL",
            "tenantId": 56,
            "operatingUnitName": "Northern",
            "cultureName": "English - India",
            "siteLevel": "Level 3",
            "siteType": "Clinic"
        },
        {
            "id": 32,
            "name": "Shepherd Hospice SL",
            "tenantId": 101,
            "operatingUnitName": "Western area",
            "cultureName": "English - India",
            "siteLevel": "Level 4",
            "siteType": "Clinic"
        },
        {
            "id": 9,
            "name": "Wesleyan Health Center SL",
            "tenantId": 300,
            "operatingUnitName": "Western Area Urban",
            "cultureName": "English - India",
            "siteLevel": "Level 2",
            "siteType": "Clinic"
        }
    ],
    "responseCode": 200,
    "totalCount": 10
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://spice.docs.medtroniclabs.org/spice-docs/versions/spice-1.0/engineering/api-documentation/admin-services/site-list-region-admin.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
